## org.hibernate.engine
Class EJB3CascadingAction

    java.lang.Object
      org.hibernate.engine.CascadingAction
          org.hibernate.engine.EJB3CascadingAction

    public abstract class EJB3CascadingAction

extends CascadingAction

Because of CascadingAction constructor visibility I need a packaged friendly subclass TODO Get rid of it for 3.3

Author:
  Emmanuel Bernard

Field Summary
`static CascadingAction` `PERSIST_SKIPLAZY`

Fields inherited from class org.hibernate.engine.CascadingAction
`DELETE, EVICT, LOCK, MERGE, PERSIST, PERSIST_ON_FLUSH, REFRESH, REPLICATE, SAVE_UPDATE, SAVE_UPDATE_COPY`

Constructor Summary
`EJB3CascadingAction()`

Method Summary

Methods inherited from class org.hibernate.engine.CascadingAction
`cascade, deleteOrphans, getCascadableChildrenIterator, getLoadedElementsIterator, noCascade, performOnLazyProperty, requiresNoCascadeChecking`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSIST_SKIPLAZY

    public static final CascadingAction PERSIST_SKIPLAZY

See Also:
  `Session.persist(Object)`

Constructor Detail

### EJB3CascadingAction

    public EJB3CascadingAction()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.